Download it now!
Bug 87434 - android: Back should go one level up
Summary: android: Back should go one level up
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jacobo Aragunde Pérez
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-12-18 09:06 UTC by Jan Holesovsky
Modified: 2017-05-28 05:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-12-18 09:06:08 UTC
In the file browser on android, when you use the 'back' button on the phone, it just quits the app; instead, it should go one level up (in the folder hierarchy), and quit the app only when we are in the root folder / top folder on the sdcard.
Comment 1 Jan Holesovsky 2015-01-09 15:11:52 UTC
Jacobo: Adding you to CC, in case this is of interest for you :-)
Comment 2 Jacobo Aragunde Pérez 2015-01-12 09:33:49 UTC
Thanks Kendy :)

The common flow in an Android application involves stacking activities one upon another; for example, browsing into some directory usually implies opening a new activity that stacks on the previous one. Pressing back will take the user to the previous activity.

As it is now, our document browser refreshes its contents when browsing the filesystem, instead of stacking activities.

I think we should transform our flow to work like most Android applications. It would automatically enable the back button, and we could implement nice transition animations. Besides, it will probably simplify our code and that's always a win :)
Comment 3 Jacobo Aragunde Pérez 2015-06-10 17:02:39 UTC
The best solution is the one above, but there is a workaround we can do meanwhile :)
Comment 4 Commit Notification 2015-06-12 09:33:46 UTC
Jacobo Aragunde Pérez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1f671e053864d0bf54d04a855761b43a7f5a9c4

tdf#87434: android: system back key to go one level up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 vihsa 2017-05-28 05:31:22 UTC
verified.
version: 5.5.0.0.alpha0+ / build id : 45511d9 / android 5.1